# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

##### configure checks

include( ConfigureChecks.cmake )


add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kdat (executable) #########################

tde_add_executable( kdat AUTOMOC
  SOURCES Archive.cpp ArchiveInfoWidget.cpp BackupDlg.cpp BackupOptDlg.cpp
    BackupProfile.cpp BackupProfileInfoWidget.cpp BackupProfileManager.cpp
    BackupProfileWidget.cpp ErrorHandler.cpp File.cpp FileInfoWidget.cpp
    ImageCache.cpp IndexDlg.cpp InfoShellWidget.cpp KDatMainWindow.cpp
    LoggerWidget.cpp Node.cpp Options.cpp OptionsDlg.cpp OptionsDlgWidget.ui
    Range.cpp Tape.cpp TapeDrive.cpp TapeFileInfoWidget.cpp TapeInfoWidget.cpp
    TapeManager.cpp FormatOptDlg.cpp TarParser.cpp Util.cpp VerifyDlg.cpp
    VerifyOptDlg.cpp ktreeview.cpp main.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop( kdat.desktop )
